<?php

class Operator_model extends CI_Model
{

    function __construct()
    {
        parent::__construct();
        $this->HT = $this->load->database('INFORMATION', TRUE);
        $this->HT229 = $this->load->database('HT', TRUE);
    }

    //输入用户名和密码，检查是否可以正确
    function check_login($user_code, $password)
    {
        $sql = "SELECT TOP 1 1 \n"
            . "FROM   tourmanager.dbo.OperatorInfo oi \n"
            . "WHERE  oi.OPI_Code = N? \n"
            . "       AND CONVERT(VARCHAR(100), oi.OPI_Password) = N? ";
        $query = $this->HT->query($sql, array($user_code, $password));
        //print_r($this->HT->queries);
        if ($query->num_rows() > 0) {
            return 1;
        } else {
            $author_sql = "SELECT TOP 1 1 FROM  tourmanager.dbo.infoAuthors WHERE a_email=? AND a_password=?";
            $author_query = $this->HT->query($author_sql, array($user_code, $password));
            if ($author_query->num_rows() > 0) {
                return 2;
            } else {
                return FALSE;
            }
        }
    }

    function get_password($user_code)
    {
        $sql = "SELECT TOP 1 oi.OPI_Password \n"
            . "FROM   tourmanager.dbo.OperatorInfo oi \n"
            . "WHERE  oi.OPI_Code = N?";
        $query = $this->HT->query($sql, array($user_code));
        //print_r($this->HT->queries);
        if ($query->num_rows() > 0) {
            $row = $query->row_array();
            return $row;
        } else {
            return FALSE;
        }
    }

    //获取登录用户详细信息
    function get_user($user_code)
    {
        if (empty($user_code)) {
            return false;
        }

        $sql = "SELECT TOP 1 oi.OPI_SN, \n"
            . "       oi.OPI_Name, \n"
            . "       oi.OPI_Email, \n"
            . "       oi.OPI_FirstName, \n"
            . "       oi.OPI_Code \n"
            . "FROM   tourmanager.dbo.OperatorInfo oi \n"
            . "WHERE  oi.OPI_Code = N?";
        $query = $this->HT->query($sql, array($user_code));
        //print_r($this->HT->queries);
        if ($query->num_rows() > 0) {
            $row = $query->row_array();
            return $row;
        } else {
            return FALSE;
        }
    }

    //获取作者平台的作者信息
    public function get_author_user($a_email)
    {
        $sql = "SELECT TOP 1 
                            a_id as OPI_SN,
                            a_email as OPI_Email,
                            a_name as OPI_Name,
                            a_name as OPI_FirstName,
                            a_id as OPI_Code
                FROM        tourmanager.dbo.infoAuthors 
                WHERE       a_email=? AND a_active=1";
        $query = $this->HT->query($sql, array($a_email));
        if ($query->num_rows() > 0) {
            $row = $query->row_array();
            return $row;
        } else {
            return FALSE;
        }
    }

    //获取作者信息
    function get_author($user_code = array())
    {
        $user_code_str = '';
        foreach ($user_code as $user_item) {
            $user_code_str .= "'" . $user_item . "',";
        }
        $user_code_str .= "'0'";

        $sql = "SELECT oi.OPI_SN, \n"
            . "       oi.OPI_Name, \n"
            . "       oi.OPI_Email, \n"
            . "       oi.OPI_FirstName, \n"
            . "       oi.OPI_Code \n"
            . "FROM   tourmanager.dbo.OperatorInfo oi \n"
            . "WHERE  oi.OPI_Code IN ( $user_code_str )";
        $query = $this->HT->query($sql);
        //print_r($this->HT->queries);
        return $query->result();
    }

    //获取作者的昵称
    function get_author_nikename($user_code)
    {
        $sql = "
            SELECT top 1 isnull(uio.NickName,'') as NickName,uio.customPic, uio.userid, uio.sex, uio.Email,uio.intro
                ,OPI_SN,OPI_Name,OPI_Email,OPI_FirstName,OPI_Code
			FROM tourmanager.dbo.OperatorInfo left JOIN
            tourmanager.dbo.UserInfo uio ON uio.Email = tourmanager.dbo.OperatorInfo.OPI_Email
			WHERE tourmanager.dbo.OperatorInfo.OPI_Code = '{$user_code}'
        
        ";
        $query = $this->HT->query($sql);
        if ($query->num_rows() > 0) {
            $row = $query->row();
            return $row;
        } else {
            return FALSE;
        }
    }

    //HT中所有账号
    function all()
    {
        $sql = "SELECT oi.OPI_SN, \n"
            . "       oi.OPI_Name, \n"
            . "       oi.OPI_Email, \n"
            . "       oi.OPI_FirstName, \n"
            . "       oi.OPI_Code \n"
            . "FROM   tourmanager.dbo.OperatorInfo oi \n"
            . "WHERE  oi.deleteFlag=0 \n"
            . "ORDER BY OPI_Code ASC ";
        $query = $this->HT->query($sql);
        //print_r($this->HT->queries);
        return $query->result();
    }

    //获取当前站点的作者
    public function get_site_user($site_code)
    {
        $sql = "SELECT  oi.OPI_SN,
                        oi.OPI_Name,
                        oi.OPI_Email,
                        oi.OPI_FirstName,
                        oi.OPI_Code
                 FROM   tourmanager.dbo.OperatorInfo oi INNER JOIN infoaccessownsite i ON oi.OPI_Code=i.iao_author AND i.iao_other='editor'
                 WHERE  i.iao_site=?";
        $query = $this->HT->query($sql, $site_code);
        return $query->result();
    }
}